Page MenuHomePhabricator

efl_ui_test_list_collection: add test for item placement
ClosedPublic

Authored by bu5hm4n on Sep 8 2019, 7:50 AM.

Details

Summary

this test checks if the placement of the items is correct with and
without scrolling, with and without groups.
Depends on D9869

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 13174
bu5hm4n created this revision.Sep 8 2019, 7:50 AM
bu5hm4n requested review of this revision.Sep 8 2019, 7:50 AM

@zmike i am a bit wondering here why the items are placed at x,y of 1,1. The viewport is also located at 1x1, but the widget itself is placed at 0x0, is that correct that way or do we have some off by 1 here?

zmike requested changes to this revision.Sep 9 2019, 5:33 AM

Probably theme inset.

src/tests/elementary/efl_ui_test_list_collection.c
126

Can you condense all these blocks into an overall for loop for improved readability and easier future changes?

236

Same as above.

This revision now requires changes to proceed.Sep 9 2019, 5:33 AM
bu5hm4n requested review of this revision.Sep 9 2019, 11:48 PM
bu5hm4n added inline comments.
src/tests/elementary/efl_ui_test_list_collection.c
126

I would prefer to do not do that for two reasons:

  • I would need a if(...) for checking the y part of the coordinate,
  • Whenever there is a failure i would have to check with gdb which index it is, to know in which scroller position it is, with something like this here i can just see it from the lines of the failure, (which also gives you a clue whenever this randomly fails on travis for example)
zmike accepted this revision.Sep 11 2019, 10:36 AM
This revision is now accepted and ready to land.Sep 11 2019, 10:36 AM
Closed by commit rEFL6088557233f9: efl_ui_test_list_collection: add test for item placement (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhySep 11 2019, 10:47 AM
This revision was automatically updated to reflect the committed changes.